<!DOCTYPE html>
<html lang="en-us">

  <head>
    <meta charset="utf-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>Unity WebGL Player | %UNITY_WEB_NAME%</title> 
        <link rel="shortcut icon" href="TemplateData/favicon.ico">
        <link rel="stylesheet" href="TemplateData/style.css">

    <script src="%UNITY_WEBGL_LOADER_URL%"></script>

     <script src="https://connect.facebook.net/en_US/fbinstant.6.1.js"></script>

 
     <script>
    var gameInstance;
    var preloadedInterstitial;
    var preloadedRewardedVideo;
    UnityLoader.SystemInfo.mobile = false;


    function UnityProgress(gameInstance, progress) {
  if (!gameInstance.Module)
    return;
   FBInstant.setLoadingProgress(progress*100);
  if (progress == 1)
  {
  	 FBInstant.startGameAsync()
  .then(function() {
   console.log('Game Started');
  });
  }
}


    FBInstant.initializeAsync().then(function() { 
      gameInstance = UnityLoader.instantiate("gameContainer", "%UNITY_WEBGL_BUILD_URL%", {onProgress: UnityProgress});
       });

       function GetPlayerName()
       {
       		gameInstance.SendMessage('FBInstantObject','UpdateScore',FBInstant.player.getName());
       }


       function RequestTopScores(LBName,numb=10)
       {
       		FBInstant
  			.getLeaderboardAsync(LBName)
  			.then(leaderboard => leaderboard.getEntriesAsync(numb, 0))
  			.then(entries => {
  			if(entries.length>0)
  			{
  			var rettt="";
  			for (var i = 0; i < entries.length; i++) {
      				rettt=entries[i].getScore() + "|"+ entries[i].getPlayer().getName() + "|";
    			}
  				gameInstance.SendMessage('FBInstantObject','ReceiveScore',rettt);
  			}
  		}).catch(error => console.error(error));

       }


       function RequestOwnScore(LBName)
       {
       		FBInstant
  			.getLeaderboardAsync(LBName)
  			.then(leaderboard => leaderboard.getPlayerEntryAsync())
  			.then(entry => {

  				gameInstance.SendMessage('FBInstantObject','ReceiveOwnScore',entry.getScore());

  		}).catch(error => console.error(error));

       }


       	function AddNewScore(LBName,score)
		{
			FBInstant
  				.getLeaderboardAsync(LBName)
	  			.then(leaderboard => {
    			return leaderboard.setScoreAsync(score,FBInstant.player.getName());
  			})
  		.	then(() => console.log('Score saved'))
  			.catch(error => console.error(error));


		}





		function ReqInt(idd)
		{
			preloadedInterstitial = null;

			FBInstant.getInterstitialAdAsync(
  			idd, // Your Ad Placement Id
			).then(function(interstitial) {
  			// Load the Ad asynchronously
  				preloadedInterstitial = interstitial;
  				return preloadedInterstitial.loadAsync();
			}).then(function() {
  				gameInstance.SendMessage('FBInstantObject','INTLoaded');
			}).catch(function(err){
  				console.error('Interstitial failed to preload: ' + err.message);
			});
		}



		function ReqRwd(idd)
		{
			preloadedRewardedVideo = null;

			FBInstant.getRewardedVideoAsync(
  				idd, // Your Ad Placement Id
			).then(function(rewarded) {
  				// Load the Ad asynchronously
  				preloadedRewardedVideo = rewarded;
  				return preloadedRewardedVideo.loadAsync();
			}).then(function() {
  				gameInstance.SendMessage('FBInstantObject','RWDLoaded');
			}).catch(function(err){
  				console.error('Rewarded video failed to preload: ' + err.message);
			});
		}


		function ShowInt(idd)
		{
			preloadedInterstitial.showAsync()
			.then(function() {
  				// Perform post-ad success operation
  				gameInstance.SendMessage('FBInstantObject','INTshown');      
			})
.			catch(function(e) {
  				console.error(e.message);
			});
		}


		function ShowRwd(idd)
		{
			preloadedRewardedVideo.showAsync()
			.then(function() {
  				// Perform post-ad success operation
  				gameInstance.SendMessage('FBInstantObject','RWDshown');      
			})
			.catch(function(e) {
  				console.error(e.message);
			});
		}


    </script>
  </head>
  
  <body>
  <div class="webgl-content" style="width: 100%; height: 100%">
    <div id="gameContainer" style="width: 100%; height:100%; margin: 0"></div>
    </div>
  </body>
  
</html>